Bug 23215 - Remove PayPal logic from Koha
Summary: Remove PayPal logic from Koha
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 23118 27044
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-26 04:05 UTC by Agustín Moyano
Modified: 2021-05-25 13:44 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
A while ago, a new payment plugin for PayPal was introduced, with more features like per-branch configurations. [1] This patch removes the PayPal payment feature from the codebase in favor of that plugin. [1] https://gitlab.com/thekesolutions/plugins/koha-plugin-pay-via-paypal
Version(s) released in:
21.05.00


Attachments
Bug 23215: Remove PayPal-related sysprefs (5.53 KB, patch)
2021-05-05 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23215: Remove traces of the PayPal feature (18.05 KB, patch)
2021-05-05 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23215: Remove PayPal-related sysprefs (5.59 KB, patch)
2021-05-06 15:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23215: Remove PayPal-related sysprefs (5.59 KB, patch)
2021-05-06 15:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23215: Remove traces of the PayPal feature (18.11 KB, patch)
2021-05-06 15:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Agustín Moyano 2019-06-26 04:05:08 UTC
PayPal should be treated as any other payment plugin, to unify treatment of payment methods.
Comment 1 Katrin Fischer 2020-09-14 15:08:01 UTC
I think we might want to do some deprecation steps here first. 

Suggestion, for 20.11:
- Deprecate the plugin in the release notes
- Add information about deprecation to the Paypal system preferences
- Add an entry to the "system information" tab

For 21.05:
- Remove the code and enforce the switch
Comment 2 Jonathan Druart 2020-11-11 08:59:19 UTC
Where are we here? Should the deprecation be announced in 20.11?
Comment 3 Martin Renvoize 2020-11-16 13:48:43 UTC
I wonder if we aught to either grab the plugin as part of the upgrade if the syprefs are set.. or at the very least highlight to the user as upgrade time that they'll need to grab the plugin.. (and make sure we copy the config to somewhere so they can easily use it in the plugin config when they come to use that route)
Comment 4 Tomás Cohen Arazi 2020-11-16 13:50:00 UTC
Lets put a bold message about it being deprecated, in the release notes, and the about page!.
Comment 5 Tomás Cohen Arazi 2020-11-16 13:50:24 UTC
(In reply to Katrin Fischer from comment #1)
> I think we might want to do some deprecation steps here first. 
> 
> Suggestion, for 20.11:
> - Deprecate the plugin in the release notes
> - Add information about deprecation to the Paypal system preferences
> - Add an entry to the "system information" tab
> 
> For 21.05:
> - Remove the code and enforce the switch

^^ 100% agree with that
Comment 6 Katrin Fischer 2020-11-16 20:44:53 UTC
(In reply to Tomás Cohen Arazi from comment #5)
> (In reply to Katrin Fischer from comment #1)
> > I think we might want to do some deprecation steps here first. 
> > 
> > Suggestion, for 20.11:
> > - Deprecate the plugin in the release notes
> > - Add information about deprecation to the Paypal system preferences
> > - Add an entry to the "system information" tab
> > 
> > For 21.05:
> > - Remove the code and enforce the switch
> 
> ^^ 100% agree with that

Do you have time to do it? A few more strings are not bad right now, but should be added very soon.
Comment 7 Jonathan Druart 2021-02-18 15:03:53 UTC
Can we have a patch please?
Comment 8 Tomás Cohen Arazi 2021-05-05 13:45:10 UTC
Created attachment 120519 [details] [review]
Bug 23215: Remove PayPal-related sysprefs

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2021-05-05 13:45:18 UTC
Created attachment 120520 [details] [review]
Bug 23215: Remove traces of the PayPal feature

This patch removes the PayPal payments feature. It has been moved to
its' own plugin.

To test:
1. Apply this patches
2. Run:
   $ updatedatabase
=> SUCCESS: Database updates correctly
3. Run:
   $ koha-mysql kohadev
   > SELECT * FROM systempreferences WHERE variable LIKE 'paypal';
=> SUCCESS: No results
4. On the sysprefs, OPAC section
=> SUCCESS: No PayPal-related sysprefs show up
5. Add some charges to your patron
6. In the OPAC, log in and see your charges
=> SUCCESS: Nothing broken
7. Install the PayPal plugin [1] or any other payment plugin
8. Restart plack (mandatory for the PayPal plugin)
9. Set some random data in the config (or better, real sandbox testing
   data)
10. Go to the OPAC's account page and try to pay your debts (use the
    checkbox to select lines)
=> SUCCESS: The PayPal payment method shows, you can click the button,
    it fails due to bad config, but things work as expected.
11. Sign off :-D

[1] https://gitlab.com/thekesolutions/plugins/koha-plugin-pay-via-paypal/-/releases

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Kyle M Hall 2021-05-06 15:18:46 UTC
Created attachment 120634 [details] [review]
Bug 23215: Remove PayPal-related sysprefs

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2021-05-06 15:22:10 UTC
Created attachment 120635 [details] [review]
Bug 23215: Remove PayPal-related sysprefs

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2021-05-06 15:22:22 UTC
Created attachment 120636 [details] [review]
Bug 23215: Remove traces of the PayPal feature

This patch removes the PayPal payments feature. It has been moved to
its' own plugin.

To test:
1. Apply this patches
2. Run:
   $ updatedatabase
=> SUCCESS: Database updates correctly
3. Run:
   $ koha-mysql kohadev
   > SELECT * FROM systempreferences WHERE variable LIKE 'paypal';
=> SUCCESS: No results
4. On the sysprefs, OPAC section
=> SUCCESS: No PayPal-related sysprefs show up
5. Add some charges to your patron
6. In the OPAC, log in and see your charges
=> SUCCESS: Nothing broken
7. Install the PayPal plugin [1] or any other payment plugin
8. Restart plack (mandatory for the PayPal plugin)
9. Set some random data in the config (or better, real sandbox testing
   data)
10. Go to the OPAC's account page and try to pay your debts (use the
    checkbox to select lines)
=> SUCCESS: The PayPal payment method shows, you can click the button,
    it fails due to bad config, but things work as expected.
11. Sign off :-D

[1] https://gitlab.com/thekesolutions/plugins/koha-plugin-pay-via-paypal/-/releases

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Kyle M Hall 2021-05-06 15:44:04 UTC
Moving to Passed QA. RM can ask for another signer if need be. I tested thoroughly. Test end-to-end functionality with the PayPal plugin, which went perfectly. Also installed other plugins to ensure they continued to function, which they did.
Comment 14 Jonathan Druart 2021-05-07 12:41:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 15 Fridolin Somers 2021-05-12 14:10:11 UTC
Enhancement not pushed to 20.11.x
Comment 16 Jonathan Druart 2021-05-19 13:15:34 UTC
Release notes needed for 21.05